%define anolis_release 4

Name:           perl-Digest-MD5
Version:        2.58
Release:        %{anolis_release}%{?dist}
Summary:        Perl interface to the MD5 algorithm
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/Digest-MD5
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Digest-MD5-%{version}.tar.gz
BuildRequires:  gcc make perl-devel perl-generators perl-interpreter perl(strict) perl(Config) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Digest::base) perl(Exporter) perl(vars) perl(XSLoader)
BuildRequires:  perl(Encode) perl(Test) perl(Test::More) perl(warnings) perl(MIME::Base64) perl(threads)
Requires:       perl(Digest::base) perl(XSLoader)

%{?perl_default_filter}

%description
The Digest::MD5 module allows you to use the RSA Data Security Inc. MD5
Message Digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 128-bit
"fingerprint" or "message digest" of the input.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Digest-MD5-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest*
%{_mandir}/*/*

%files doc
%doc Changes README

%changelog
* Tue Dec 26 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.58-4
- rebuild

* Thu Feb 09 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.58-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.58-2
- rebuild with perl 5.36.0

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 2.58-1
- Initial version from upstream 2.58
